﻿local abacus = LibStub("LibAbacus-3.0"); --Used To Display Money
local currentGuildName, _, _= GetGuildInfo("Player")
local currentSelectedGuildIndex
local setCurrentGuildIndex
local tableList = {}
local numofguilds
function Liquid_Wealth:showGuildBankToolTip()
  varGuildBankVenderTotal = 0
  varGuildBankAuctTotal = 0
  if (Liquid_Wealth.db.profile.scanGuildBank)  then
    setGuildInfo()
    local vguildName = currentGuildName
    if IsInGuild() and (tablelength(Liquid_Wealth.db.realm.guild) > 0) then --Displays the current toons guild information as default
      GuildMenu = tip:AddLine("")
      --tip:SetCell(GuildMenu, 1, "|TInterface\\Buttons\\UI-SpellbookIcon-PrevPage-Up:25:25:1:0|t", nil, "LEFT", 1)
      tip:SetCell(GuildMenu, 1,format("|TInterface\\Buttons\\UI-SpellbookIcon-PrevPage-%s:25:25:1:0|t", isLastGuildAv() and "Up" or "Disabled"), nil, "LEFT", 1)
      tip:SetCellScript(GuildMenu, 1, "OnMouseDown", function() Liquid_Wealth:CurrentGuildMove(-1) end);
      tip:SetCell(GuildMenu, 2, "Current Selected Guild: " .. vguildName, nil, "CENTER", 3)
      tip:SetCell(GuildMenu, 5, format("|TInterface\\Buttons\\UI-SpellbookIcon-NextPage-%s:25:25:1:0|t", isNextGuildAv() and "Up" or "Disabled"), nil, "RIGHT", 1)
      tip:SetCellScript(GuildMenu, 5, "OnMouseDown", function() Liquid_Wealth:CurrentGuildMove(1) end);
      modeHeader = tip:AddLine("")
      if Liquid_Wealth.db.profile.gdisplayMode == "Vender" then
        tip:SetCell(modeHeader, 1, "Value Mode: Vender", nil, "CENTER", 5)
      else
        tip:SetCell(modeHeader, 1, "Value Mode: Auction", nil, "CENTER", 5)
      end
      tip:SetCellScript(modeHeader, 1, "OnMouseDown", function() Liquid_Wealth:ChangeViewModes() end);
      lineNum = tip:AddSeparator(2)
      for value in pairs(Liquid_Wealth.db.realm.guild[vguildName]) do
        local playerDetail = tip:AddLine("")
        local Name, Texture, isViewable, VenderTotal, AuctionTotal = Liquid_Wealth:CovGuildBankItemDataFromDB(vguildName, value)
        VenderTotal = tonumber(VenderTotal)
        AuctionTotal = tonumber(AuctionTotal)
        tip:SetCell(playerDetail, 1, Liquid_Wealth:BuildBagIcons(_, Texture, 25), nil, "LEFT", 1)
        tip:SetCell(playerDetail, 2, Name, nil, "LEFT", 1)
        if Liquid_Wealth.db.profile.gdisplayMode == "Vender" then
          tip:SetCell(playerDetail, 3, Liquid_Wealth:copperToText(VenderTotal), nil, "RIGHT", 3)
        else
          tip:SetCell(playerDetail, 3, Liquid_Wealth:copperToText(AuctionTotal), nil, "RIGHT", 3)
        end
        varGuildBankVenderTotal = varGuildBankVenderTotal + VenderTotal
        varGuildBankAuctTotal = varGuildBankAuctTotal + AuctionTotal
      end
      lineNum = tip:AddSeparator(2)
      local relamDetail = tip:AddLine("");
      tip:SetCell(relamDetail, 1, "Guild Bank Total:", nil, "LEFT", 2);
      if Liquid_Wealth.db.profile.gdisplayMode == "Vender" then
        tip:SetCell(relamDetail, 3, abacus:FormatMoneyFull(varGuildBankVenderTotal, true), nil, "RIGHT", 3);
      else
        tip:SetCell(relamDetail, 3, abacus:FormatMoneyFull(varGuildBankAuctTotal, true), nil, "RIGHT", 3);
      end
      lineNum = tip:AddSeparator(2)
    else
      tip:SetCell(tip:AddLine(""), 1, "Please Scan Guild Bank", nil, "CENTER", 3)
    end
  else
    tip:SetCell(tip:AddLine(""), 1, "Guild Bank Scanning Is Disabled", nil, "CENTER", 3)
  end
end

function isLastGuildAv()
   if currentSelectedGuildIndex ==1 then
    return false
   else
    return true
   end
end

function isNextGuildAv()
   if currentSelectedGuildIndex == tablelength(Liquid_Wealth.db.realm.guild) then
    return false
   else
    return true
   end
end


function setGuildInfo()
  numofguilds = tablelength(Liquid_Wealth.db.realm.guild)
  wipe(tableList)
  for i, _ in pairs(Liquid_Wealth.db.realm.guild) do
    table.insert(tableList, i)
  end
  for index, value in pairs(tableList) do
    if value == currentGuildName then
      currentSelectedGuildIndex = index
    end
  end
end

function Liquid_Wealth:CurrentGuildMove(moveTo)
  setGuildInfo()
  if (currentSelectedGuildIndex + moveTo) >=1 and (currentSelectedGuildIndex + moveTo) <= (numofguilds) then
    setCurrentGuildIndex = (currentSelectedGuildIndex + moveTo)
    currentGuildName =  tableList[setCurrentGuildIndex]
  end
  Liquid_Wealth:ToolTipUpDate()
end


